- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
DefaultGraphToEpsTraits< GR > Struct Template Reference

## Detailed Description

### template<class GR>
struct lemon::DefaultGraphToEpsTraits< GR >

Default traits class of GraphToEps.

Parameters

  GR | is the type of the underlying graph.

`#include <lemon/graph_to_eps.h>`

## Public Member Functions
| DefaultGraphToEpsTraits (const GR &gr, std::ostream &ost=std::cout, bool pros=false)
| Constructor. More...

## Constructor & Destructor Documentation

DefaultGraphToEpsTraits | ( | const GR & | gr,
|  | std::ostream & | ost = `std::cout`,
|  | bool | pros = `false`
| ) |  |
| inline

Constructor

Parameters

  gr | Reference to the graph to be printed.
  ost | Reference to the output stream. By default, it is `std::cout`.
  pros | If it is `true`, then the `ostream` referenced by `os` will be explicitly deallocated by the destructor.